> For the complete documentation index, see [llms.txt](https://docs.wisej.com/extensions/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.wisej.com/extensions/extensions/chartjs/api/wisej.web.ext.chartjs.optionstitle.md).

# OptionsTitle

Namespace: **Wisej.Web.Ext.ChartJS**

Assembly: **Wisej.Web.Ext.ChartJS** (3.2.0.0)

* [OptionsBase](/extensions/extensions/chartjs/api/wisej.web.ext.chartjs.optionsbase.md)
  * [OptionsTitle](/extensions/extensions/chartjs/api/wisej.web.ext.chartjs.optionstitle.md)

Represents the options for the chart title.

{% tabs %}
{% tab title="C#" %}

```csharp
public class OptionsTitle : OptionsBase
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Class OptionsTitle
    Inherits OptionsBase
```

{% endtab %}
{% endtabs %}

## Constructors

### ![](/files/-MirBsnmjWIxMsN8l0Ms)OptionsTitle()

Default constructor.

### ![](/files/-MirBsnmjWIxMsN8l0Ms)OptionsTitle(owner)

Constructs a new instance of the [OptionsTitle](/extensions/extensions/chartjs/api/wisej.web.ext.chartjs.optionstitle.md) set.

| Name      | Type                                                                                   | Description                                                                                                       |
| --------- | -------------------------------------------------------------------------------------- | ----------------------------------------------------------------------------------------------------------------- |
| **owner** | [OptionsBase](/extensions/extensions/chartjs/api/wisej.web.ext.chartjs.optionsbase.md) | The [ChartJS](/extensions/extensions/chartjs/api/wisej.web.ext.chartjs.chartjs.md) that owns this set of options. |

## Properties

### ![](/files/-MirBsnmjWIxMsN8l0Ms)Display

[Boolean](https://docs.microsoft.com/en-us/dotnet/api/system.boolean): Show the title block. (Default: `True`)

### ![](/files/-MirBsnmjWIxMsN8l0Ms)Font

[Font](https://docs.microsoft.com/en-us/dotnet/api/system.drawing.font): Font of the title.

### ![](/files/-MirBsnmjWIxMsN8l0Ms)FontColor

[Color](https://docs.microsoft.com/en-us/dotnet/api/system.drawing.color): Title color.

### ![](/files/-MirBsnmjWIxMsN8l0Ms)Padding

[Int32](https://docs.microsoft.com/en-us/dotnet/api/system.int32): Number of pixels to add above and below the title text. (Default: `10`)

### ![](/files/-MirBsnmjWIxMsN8l0Ms)Position

[HeaderPosition](https://docs.wisej.com/api?q=wisej.web.headerposition): Position of the title. (Default: `Top`)

### ![](/files/-MirBsnmjWIxMsN8l0Ms)Text

[String](https://docs.microsoft.com/en-us/dotnet/api/system.string): Title text.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.wisej.com/extensions/extensions/chartjs/api/wisej.web.ext.chartjs.optionstitle.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
